1. Product
VasyOpenAPI
  • Branch
    • Branch List
      GET
  • Department
    • department
      GET
  • Category
    • category
      GET
    • subCategory
      GET
  • Brand
    • Brand
      GET
    • SubBrand
      GET
  • Contact
    • Get Customer List W Branch Id
      GET
    • Get Contact By Id
      GET
    • Get Contact By Mobile No
      GET
    • contactSave
      POST
    • Supplier(Party)
      GET
  • GST
    • Verify GST
      POST
  • Master
    • Get Country List
      GET
    • Get State List
      GET
    • Get City List
      GET
    • Get Tax List
      GET
    • Get Additional Charge List
      GET
  • Product
    • Get Product List
      GET
    • Get Product By ID
      GET
    • products with inventory
      GET
    • product details with Inventory By Product ID
      GET
    • Product Variant List ID & Name
      GET
    • Variant Details By Variant ID
      GET
  • Recipe
    • Get All Recipe
  • User
    • Created By
  • Report
    • Get Sales Item Register Data
    • Purchase Item Register Report
    • Stock Summary Report
    • Stock Transfer Item Register Report
    • Consumption Production Report
  • Sales
    • Get All Sales Data
    • Get Sales Data By Id
    • Order Create
    • Order Status
    • Shipping Details
    • Update Due Date
    • Update Order Status
  1. Product

Get Product By ID

GET
/api/v1/product/18313750

Product Details#

Purpose#

Retrieve complete information for a specific product, including product attributes, pricing information, variant details, and classification data.

Why would you use this?#

Use this API when your system needs detailed product information after obtaining the Product ID from the Product List API.

Information Required#

FieldRequiredDescription
api-tokenYesAuthentication token provided by VasyERP
productIdYesUnique identifier of the product

Information Returned#

This API returns detailed product information including:
Product Information
Product Classification
Pricing Information
Product Descriptions
Product Variants
Brand Information
Category Information
Department Information
Measurement Information

Example Use Case#

An eCommerce website displays a product catalog using the Product List API.
When a customer opens a specific product page, the application can use this API to retrieve:

Important Notes#

Product ID must be obtained from the Product List API.
Products may contain one or more variants.
Variant-specific pricing may differ from the base product pricing.

Request

Header Params

Responses

🟢200
application/json
Bodyapplication/json

🟠403Unauthorized
🟠429Too Many Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v1/product/18313750' \
--header 'api-token: {{.in-api-token}}'
Response Response Example
200 - Example
{
    "status": true,
    "message": "Product Detail",
    "code": "200",
    "response": {
        "itemCode": "BAR071",
        "productName": "Oppo Reno 14 Pro",
        "sellingPrice": 33000.28,
        "hsnCode": "85171300",
        "description": "<p><br></p>",
        "shortDescription": "",
        "lastModifiedDate": "2026-06-17 15:36:46.804508+05:30",
        "productType": "Finished",
        "brand": "Oppo",
        "category": "Smartphone",
        "department": "Other",
        "lastModifiedBy": "my business",
        "measurement": "PIECES",
        "displayName": "Oppo Reno 14 Pro",
        "netWeight": "10",
        "expiryDays": "",
        "subCategory": "",
        "subBrand": "",
        "variantAvailable": true,
        "printName": "Oppo Reno 14 Pro",
        "productVariantDetails": [
            {
                "productVariantId": 20847916,
                "variantName": "8GB Blue",
                "itemCode": "BAR071",
                "purchasePrice": 23000.0,
                "landingCost": 27140.0,
                "mrp": 35999.0,
                "discount": 2998.72,
                "discountType": "amount",
                "sellingPrice": 33000.28,
                "margin": 0.0,
                "marginType": "amount",
                "minimumQuantity": 1,
                "onlinePrice": 0.0
            },
            {
                "productVariantId": 20847917,
                "variantName": "16GB Blue",
                "itemCode": "BAR072",
                "purchasePrice": 27000.0,
                "landingCost": 31860.0,
                "mrp": 38999.0,
                "discount": 4500.48,
                "discountType": "amount",
                "sellingPrice": 34498.52,
                "margin": 0.0,
                "marginType": "amount",
                "minimumQuantity": 2,
                "onlinePrice": 0.0
            },
            {
                "productVariantId": 20847918,
                "variantName": "32GB Green",
                "itemCode": "BAR073",
                "purchasePrice": 32000.0,
                "landingCost": 37760.0,
                "mrp": 42999.0,
                "discount": 4.65,
                "discountType": "percentage",
                "sellingPrice": 40999.55,
                "margin": 0.0,
                "marginType": "amount",
                "minimumQuantity": 3,
                "onlinePrice": 0.0
            }
        ]
    }
}
Previous
Get Product List
Next
products with inventory
Built with